// HType.java, created Mon Mar 17 20:04:41 2003 by cananian
// Copyright (C) 2003 C. Scott Ananian <cananian@alumni.princeton.edu>
// Licensed under the terms of the GNU GPL; see COPYING for details.
package harpoon.ClassFile;

/** The <code>HType</code> interface represents all compile time types.
 *  It is implemented by all entities that may represent a compile-time
 *  type in the Java programming language, and serves as their common
 *  supertype.  In addition to its subinterfaces, it is implemented
 *  by <code>HClass</code>.
 * 
 * @author  C. Scott Ananian <cananian@alumni.princeton.edu>
 * @version $Id: HType.java,v 1.1 2003/03/18 02:27:02 cananian Exp $
 * @see java.lang.reflect.Type
 */
public interface HType {
    /* no members declared. */
}
