// BoolMCell.java, created Wed Jul 13 07:30:53 2005 by salcianu
// Copyright (C) 2005 Alexandru Salcianu <salcianu@alum.mit.edu>
// Licensed under the Modified BSD Licence; see COPYING for details.
package jpaul.Misc;

/**
 * <code>BoolMCell</code> is a mutable cell with boolean content.
 *
 * @see MCell
 * 
 * @author  Alexandru Salcianu - salcianu@alum.mit.edu
 * @version $Id: BoolMCell.java,v 1.2 2005/08/12 21:28:40 salcianu Exp $ */
public class BoolMCell {
    
    public boolean value;

    /** Creates a <code>BoolMCell</code> with initial value
        <code>initValue</code>. */
    public BoolMCell(boolean initValue) {
        this.value = initValue;
    }
    
}
