// IntMCell.java, created Wed Jul 13 07:30:53 2005 by salcianu
// Copyright (C) 2005 Alexandru Salcianu <salcianu@alum.mit.edu>
// Licensed under the Modified BSD Licence; see COPYING for details.
package jpaul.Misc;

/**
 * <code>IntMCell</code> is a mutable cell with integer content.
 * integers.
 *
 * @see MCell
 * 
 * @author  Alexandru Salcianu - salcianu@alum.mit.edu
 * @version $Id: IntMCell.java,v 1.1 2005/08/12 21:28:40 salcianu Exp $ */
public class IntMCell {
    
    public int value;

    /** Creates an <code>IntMCell</code> with initial content
        <code>0</code>. */
    public IntMCell() {
	this(0);
    }

    /** Creates an <code>IntMCell</code> with initial content
        <code>initValue</code>. */
    public IntMCell(int initValue) {
        this.value = initValue;
    }
    
}
